/*
	接口统一管理
*/
const apiurl = {
	// 小程序获取openid
	wxinfo: {
		url: '/member/wechat/appletGetOpenId',
		type: 'get'
	},
	// 授权获取微信手机号
	getMobile: {
		url: '/member/wechat/appletGetMobileV1',
		type: 'get'
	},
	// 小程序openid登录
	login: {
		url: '/member/auth/appletLogin',
		type: 'post'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 个人中心首页
	personalIndex: {
		url: '/system/client/personalIndex',
		type: 'get'
	},
	
	
	/**
	 * @author ygh
	 * @date 2023-12-14
	 * 公众号获取openid
	 * 
	 * */
	wxinfoH5: {
		url: '/member/wechat/h5/code/',
		type: 'get',
		addUrl: true
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}